at.chipkarte.client.muhi.soap

## Class IndividuellesBeschaeftigungsverbotMeldung

- Object
- - at.chipkarte.client.muhi.soap.IndividuellesBeschaeftigungsverbotMeldung

-     public class IndividuellesBeschaeftigungsverbotMeldung
      extends Object

  Zusätzliche Daten einer individuellen Beschäftigungsverbots-Meldung (die Basisdaten sind in `AbsolutesBeschaeftigungsverbotMeldung` erfasst).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndividuellesBeschaeftigungsverbotMeldung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBeginnIndividuellesBeschaeftigungsverbot()` Datum, an dem das individuelle Beschäftigungsverbot beginnt (gleich dem Datum des Erstellungszeitpunkts, außer bei Vordatierung).
    `String` | `getBegruendung()` Code der Begründung des individuellen Beschäftigungsverbots.
    `String` | `getBegruendungVordatierung()` Begründung der Vordatierung (Freitext).
    `CommonMeldungData` | `getCommonData()` Daten, die absolute und individuelle Beschäftigugnsverbotsmeldungen gemeinsam haben.
    `Integer` | `getDauer()` Dauer des individuellen Beschäftigungsverbots (in Wochen).
    `javax.activation.DataHandler` | `getDruckdarstellung()` Druckdarstellung (PDF-Format).
    `String` | `getZusatzbegruendung()` Zusätzliche Begründung (Freitext).
    `boolean` | `isKzDauerBisAbsolut()` Gibt an, dass das individuelle Beschäftigungsverbot endet, wenn das absolute beginnt.
    `void` | `setBeginnIndividuellesBeschaeftigungsverbot(String beginnIndividuellesBeschaeftigungsverbot)`
    `void` | `setBegruendung(String begruendung)`
    `void` | `setBegruendungVordatierung(String begruendungVordatierung)`
    `void` | `setCommonData(CommonMeldungData commonData)`
    `void` | `setDauer(Integer dauer)`
    `void` | `setDruckdarstellung(javax.activation.DataHandler druckdarstellung)`
    `void` | `setKzDauerBisAbsolut(boolean kzDauerBisAbsolut)`
    `void` | `setZusatzbegruendung(String zusatzbegruendung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndividuellesBeschaeftigungsverbotMeldung

          public IndividuellesBeschaeftigungsverbotMeldung()

  - ### Method Detail

    - #### getCommonData

          public CommonMeldungData getCommonData()

      Daten, die absolute und individuelle Beschäftigugnsverbotsmeldungen gemeinsam haben.
      Angabe: Muss.
      Returns:

    - #### setCommonData

          public void setCommonData(CommonMeldungData commonData)

    - #### getBeginnIndividuellesBeschaeftigungsverbot

          public String getBeginnIndividuellesBeschaeftigungsverbot()

      Datum, an dem das individuelle Beschäftigungsverbot beginnt (gleich dem Datum des Erstellungszeitpunkts, außer bei Vordatierung).
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:

    - #### setBeginnIndividuellesBeschaeftigungsverbot

          public void setBeginnIndividuellesBeschaeftigungsverbot(String beginnIndividuellesBeschaeftigungsverbot)

    - #### getDauer

          public Integer getDauer()

      Dauer des individuellen Beschäftigungsverbots (in Wochen). Das individuelle Beschäftigungsverbot endet üblicherweise mit Beginn des absoluten Beschäftigungsverbots. Dieses Feld ist nur gesetzt, wenn das individuelle Beschäftigungsverbot früher endet.
      Angabe: Bedingt (muss gesetzt sein, falls `KZ Dauer bis absolut` nicht `true` ist).
      Returns:

    - #### setDauer

          public void setDauer(Integer dauer)

    - #### isKzDauerBisAbsolut

          public boolean isKzDauerBisAbsolut()

      Gibt an, dass das individuelle Beschäftigungsverbot endet, wenn das absolute beginnt.
      Angabe: Muss.
      Returns:

    - #### setKzDauerBisAbsolut

          public void setKzDauerBisAbsolut(boolean kzDauerBisAbsolut)

    - #### getBegruendungVordatierung

          public String getBegruendungVordatierung()

      Begründung der Vordatierung (Freitext).
      Angabe: Bedingt (Muss bei Vordatierung, d.h. wenn das Datum des Erstellungszeitpunkt vom Beginn des individuellen Beschäftigungsverbots abweicht, sonst nicht erlaubt).
      Format: max. 500 Zeichen.
      Returns:

    - #### setBegruendungVordatierung

          public void setBegruendungVordatierung(String begruendungVordatierung)

    - #### getBegruendung

          public String getBegruendung()

      Code der Begründung des individuellen Beschäftigungsverbots.
      Mögliche Werte: siehe `GrundIndividuellesBeschaeftigungsverbotConstants`.
      Angabe: Muss.
      Returns:

    - #### setBegruendung

          public void setBegruendung(String begruendung)

    - #### getZusatzbegruendung

          public String getZusatzbegruendung()

      Zusätzliche Begründung (Freitext).
      Angabe: Bedingt (muss vor Beginn der 16. Schwangerschaftswoche, danach verboten. Darf bei Vordatierung nicht gesetzt sein).
      Format: max. 500 Zeichen.
      Returns:

    - #### setZusatzbegruendung

          public void setZusatzbegruendung(String zusatzbegruendung)

    - #### getDruckdarstellung

          public javax.activation.DataHandler getDruckdarstellung()

      Druckdarstellung (PDF-Format).
      Angabe: Muss.
      Returns:

    - #### setDruckdarstellung

          public void setDruckdarstellung(javax.activation.DataHandler druckdarstellung)